Bug 238174 - anaconda terminates just after installing packages
anaconda terminates just after installing packages
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks: fedora-ia64
  Show dependency treegraph
 
Reported: 2007-04-27 13:50 EDT by Doug Chapman
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-08 16:34:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doug Chapman 2007-04-27 13:50:02 EDT
Description of problem:
This is beeing seen on a larg 64cpu HP ia64 system.  I will try this on other
systems to see if I can reproduce it.  Install was CD boot then install over NFS.

After installing all packages on a normal interactive install of fedora 7 (using
both VNC and text on serial console interfaces) the installer dies with no error
message:

install exited abnormally [1/1]
sending termination signals...done
......
you may safely reboot your system


I re-ran the install with loglevel=debug syslog=<ip of another host>
here are the last few lines of output, no errors seen but hopefully it narrows
it down:


Apr 27 13:40:52 orca64.zko.hp.com INFO     moving (1) to step postinstallconfig
Apr 27 13:40:52 orca64.zko.hp.com INFO     moving (1) to step writeconfig
Apr 27 13:40:52 orca64.zko.hp.com INFO     Writing main configuration
Apr 27 13:40:52 orca64.zko.hp.com INFO     self.hostname = localhost.localdomain


Version-Release number of selected component (if applicable):
Fedora 7 - test 4
anaconda-11.2.0.52-1


How reproducible:
100% on this system in our environment

Steps to Reproduce:
1. boot from CD/DVD
2. configure network using DHCP
3. install using NFS source
  
Actual results:


Expected results:


Additional info:
Comment 1 Doug Chapman 2007-04-27 14:43:59 EDT
a little more info...

I booted an older install from another disk and mounted the disk I was doing
this install on.  This doesn't tell me much but here are the last few lines of
root/install.log.syslog from the install:

<86>Apr 27 13:40:20 useradd[10757]: new group: name=nfsnobody, GID=4294967294
<86>Apr 27 13:40:20 useradd[10757]: new user: name=nfsnobody, UID=4294967294,
GID=4294967294, home=/var/lib/nfs, shell=/sbin/nologin
<86>Apr 27 13:40:28 useradd[10786]: new group: name=haldaemon, GID=68
<86>Apr 27 13:40:28 useradd[10786]: new user: name=haldaemon, UID=68, GID=68,
home=/, shell=/sbin/nologin
<86>Apr 27 13:41:17 useradd[11173]: new group: name=xfs, GID=43
<86>Apr 27 13:41:17 useradd[11173]: new user: name=xfs, UID=43, GID=43,
home=/etc/X11/fs, shell=/sbin/nologin
<86>Apr 27 13:41:40 useradd[11780]: new group: name=gdm, GID=42
<86>Apr 27 13:41:40 useradd[11780]: new user: name=gdm, UID=42, GID=42,
home=/var/gdm, shell=/sbin/nologin
<86>Apr 27 13:41:40 usermod[11785]: change user `gdm' shell from `/sbin/nologin'
to `/sbin/nologin'


Let me know if there is any other useful data I can get off of this disk.

Comment 2 Red Hat Bugzilla 2007-06-11 23:50:00 EDT
requested by Jams Antill
Comment 3 Chris Lumens 2007-08-08 16:26:00 EDT
If you are still seeing this, please check tty4 for any kernel error messages.
Comment 4 Doug Chapman 2007-08-08 16:34:46 EDT
sorry, I don't see this anymore as of Fedora 7 GA.  I should have closed this a
long time ago.

Note You need to log in before you can comment on or make changes to this bug.